跳转到内容
简体中文

发件人规则列表

GET/v1/mailboxes/{mailbox_id}/sender-rules

返回选定邮箱的发件人规则。每个规则包含一个地址 sender、一个操作 action 和一个用于后续删除的标识符 id。

授权和访问区域 · 错误和重复

要求

终端窗口
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/sender-rules' \
-H 'Authorization: Bearer <access_token>'

选项

mailbox_idpath一定

integer

X-Customer-IDheader
选项 1

string

选项 2

null

响应

200 成功回复

application/json

array

数组元素

object

id

integer

mailbox_id

integer

sender

string

action

string

有效值: "spam" "allow"

created_at

string

UTC. 中的日期和时间 如果没有偏移,该值也代表 UTC.

401 需要登录

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

403 无法访问

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

404 找不到资源

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

409 国家冲突

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object

422 验证错误

application/json

object

detail

array

数组元素

object

loc一定

array

数组元素
选项 1

string

选项 2

integer

msg一定

string

type一定

string

503 暂时无法使用

application/json

object

detail
选项 1

string

选项 2

object

code

string

message

string

选项 3

array

数组元素

object